Subject: bug#57382: Acknowledgement (28.1; rcirc: TAB nick completion list includes myself)

From: "Trent W. Buck" <[email-masked]>
Date: Thu, 25 Aug 2022 00:49:29 +1000

PS: another annoying change.
Some weirdos have names like "Alice" instead of "alice".
Now if I type "al TAB", it doesn't complete their name anymore, because the completion is now case-sensitive.

Is there any way to make it case-insensitive again?
i.e. I type "al TAB" and it changes to "Alice: " (not "alice: "!)

I can't immediately see how to do that with
rcirc-nick-completion-format or
rcirc-nick-filter, and
nothing else in M-x customize-group RET rcirc RET seems relevant.